apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-operator-traffic
  namespace: rabbitmq
spec:
  description: Allow access to the RabbitMQ operator
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: rabbitmq
  ingress:
    - fromEndpoints:
        - matchLabels:
            app.kubernetes.io/component: rabbitmq-operator
      toPorts:
        - ports:
            - port: "15672"
            - port: "15671"
